classification
Title: Google chat handler in Logging module
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.10
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: anandtripathi5, eric.araujo, remi.lapeyre, vinay.sajip
Priority: normal Keywords:

Created on 2020-07-24 09:46 by anandtripathi5, last changed 2020-07-25 04:46 by anandtripathi5. This issue is now closed.

Files
File name Uploaded Description Edit
image.png anandtripathi5, 2020-07-24 09:54
Messages (6)
msg374167 - (view) Author: Anand Tripathi (anandtripathi5) * Date: 2020-07-24 09:48
Google chat handler is not there in logging module of python.

How can I contribute to this enhancement, is there any way possible!
msg374168 - (view) Author: Rémi Lapeyre (remi.lapeyre) * Date: 2020-07-24 09:50
Hi Anand, this is very specific to one product and I don't think the core team will take the burden to maintain to as it may be too specific. You could create a package and publish it on Pypi so others can use it thought.
msg374169 - (view) Author: Anand Tripathi (anandtripathi5) * Date: 2020-07-24 09:54
Yeah, it will be as same as the SMTP Handler. But yeah creating a library
wrapper around the logging package is also a good idea.
[image: image.png]

Thanks for the support.

Best,
Anand Tripathi

On Fri, Jul 24, 2020 at 3:20 PM Rémi Lapeyre <report@bugs.python.org> wrote:

>
> Rémi Lapeyre <remi.lapeyre@henki.fr> added the comment:
>
> Hi Anand, this is very specific to one product and I don't think the core
> team will take the burden to maintain to as it may be too specific. You
> could create a package and publish it on Pypi so others can use it thought.
>
> ----------
> components: +Library (Lib)
> nosy: +remi.lapeyre
> versions: +Python 3.10
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue41381>
> _______________________________________
>
msg374204 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2020-07-24 19:05
The difference is that SMTP is a universal, documented, vendor-independent Internet standard.  Google chat products are specific to one company, pose a maintenance issue (stable Python branches could not accept big changes if the API changes), and risk becoming obsolete (google released ten text and/or video chat systems, renamed them, merged them, removed them).  So this idea is not adequate for the standard library perfect for a package on PyPI!
msg374216 - (view) Author: Vinay Sajip (vinay.sajip) * (Python committer) Date: 2020-07-24 21:59
Agreed that a library on PyPI is the appropriate way to resolve this.
msg374238 - (view) Author: Anand Tripathi (anandtripathi5) * Date: 2020-07-25 04:46
Got it, thanks!
Yeah this enhancement is so particular to Google and cannot be a part of
core library. I will create a pypi library of that.

Thanks a lot for quick responses.

Best,
Anand Tripathi

On Sat, 25 Jul 2020, 03:30 Vinay Sajip, <report@bugs.python.org> wrote:

>
> Vinay Sajip <vinay_sajip@yahoo.co.uk> added the comment:
>
> Agreed that a library on PyPI is the appropriate way to resolve this.
>
> ----------
> stage:  -> resolved
> status: pending -> closed
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue41381>
> _______________________________________
>
History
Date User Action Args
2020-07-25 04:46:54anandtripathi5setmessages: + msg374238
2020-07-24 21:59:45vinay.sajipsetstatus: pending -> closed

messages: + msg374216
stage: resolved
2020-07-24 19:05:53eric.araujosetstatus: open -> pending

nosy: + eric.araujo
messages: + msg374204

resolution: rejected
2020-07-24 10:14:50xtreaksetnosy: + vinay.sajip
2020-07-24 09:54:45anandtripathi5setfiles: + image.png

messages: + msg374169
2020-07-24 09:50:03remi.lapeyresetversions: + Python 3.10
nosy: + remi.lapeyre

messages: + msg374168

components: + Library (Lib)
2020-07-24 09:48:11anandtripathi5setmessages: + msg374167
2020-07-24 09:46:40anandtripathi5create